Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class JPDAStep

    java.lang.Object
      org.netbeans.api.debugger.jpda.JPDAStep

    public abstract class JPDAStep

extends Object

Represents one JPDA step.

Field Summary
`protected JPDADebugger` | `debugger` Associated JPDA debugger
`static String` | `PROP_STATE_EXEC` Property fired when the step is executed
`static int` | `STEP_INTO` Step into any newly pushed frames
`static int` | `STEP_LINE` Step to the next location on a different line
`static int` | `STEP_MIN` Step to the next available location
`static int` | `STEP_OUT` Step out of the current frame
`static int` | `STEP_OVER` Step over any newly pushed frames

Constructor Summary
`JPDAStep(JPDADebugger debugger, int size, int depth)` Constructs a JPDAStep for given `JPDADebugger`, size `STEP_LINE`, `STEP_MIN` and depth `STEP_OUT`, `STEP_INTO`.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Adds property change listener.
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener l)` Adds property change listener.
`abstract void` | `addStep(JPDAThread tr)` Adds the step request to the associated `JPDADebugger`.
`protected void` | `firePropertyChange(String name, Object o, Object n)` Fires property change.
`int` | `getDepth()` Returns depth of the step.
`boolean` | `getHidden()` Returns hidden property of the step.
`int` | `getSize()` Returns size of the step.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Removes property change listener.
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener l)` Removes property change listener.
`void` | `setDepth(int depth)` Sets depth of the step.
`void` | `setHidden(boolean hidden)` Sets the hidden property.
`void` | `setSize(int size)` Sets size of the step.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugger

    protected JPDADebugger debugger

  Associated JPDA debugger

### STEP_INTO

    public static final int STEP_INTO

  Step into any newly pushed frames

  See Also:
    Constant Field Values

### STEP_OVER

    public static final int STEP_OVER

  Step over any newly pushed frames

  See Also:
    Constant Field Values

### STEP_OUT

    public static final int STEP_OUT

  Step out of the current frame

  See Also:
    Constant Field Values

### STEP_LINE

    public static final int STEP_LINE

  Step to the next location on a different line

  See Also:
    Constant Field Values

### STEP_MIN

    public static final int STEP_MIN

  Step to the next available location

  See Also:
    Constant Field Values

### PROP_STATE_EXEC

    public static final String PROP_STATE_EXEC

  Property fired when the step is executed

  See Also:
    Constant Field Values

Constructor Detail

### JPDAStep

    public JPDAStep(JPDADebugger debugger,
                    int size,
                    int depth)

  Constructs a JPDAStep for given `JPDADebugger`, size `STEP_LINE`, `STEP_MIN` and depth `STEP_OUT`, `STEP_INTO`.

  Parameters:
    `debugger` - an associated JPDADebuger
    `size` - step size
    `depth` - step depth

Method Detail

### setHidden

    public void setHidden(boolean hidden)

  Sets the hidden property.

### getHidden

    public boolean getHidden()

  Returns hidden property of the step.

  Returns:
    hidden property

### setSize

    public void setSize(int size)

  Sets size of the step.

  Parameters:
    `size` - step size

### getSize

    public int getSize()

  Returns size of the step.

  Returns:
    step size

### setDepth

    public void setDepth(int depth)

  Sets depth of the step.

  Parameters:
    `depth` - step depth

### getDepth

    public int getDepth()

  Returns depth of the step.

  Returns:
    step depth

### addStep

    public abstract void addStep(JPDAThread tr)

  Adds the step request to the associated `JPDADebugger`. Method is not synchronized.

  Parameters:
    `tr` - associated thread

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener l)

  Adds property change listener.

  Parameters:
    `l` - new listener.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener l)

  Removes property change listener.

  Parameters:
    `l` - removed listener.

### addPropertyChangeListener

    public void addPropertyChangeListener(String propertyName,
                                          PropertyChangeListener l)

  Adds property change listener.

  Parameters:
    `l` - new listener.

### removePropertyChangeListener

    public void removePropertyChangeListener(String propertyName,
                                             PropertyChangeListener l)

  Removes property change listener.

  Parameters:
    `l` - removed listener.

### firePropertyChange

    protected void firePropertyChange(String name,
                                      Object o,
                                      Object n)

  Fires property change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.